
function [x,y,z]=fSphereData()
    u = linspace(-%pi/2, %pi/2, 100);
    v = linspace(0, 2*%pi, 100);
    
    x = cos(u)'*cos(v);
    y = cos(u)'*sin(v);
    z = sin(u)'*ones(v);
endfunction

// Test

[x,y,z]=fSphereData();

tic();
f = scf();
f.visible = "off";
f.immediate_drawing = "off"; 
clf(f);

plot3d2(x, y, z); 

// graphic settings
a = gca();
a.axes_visible = ["off", "off", "off"];
a.box = "off"; 
a.x_label.text = ""; 
a.y_label.text = ""; 
a.z_label.text = ""; 
a.isoview = "on";

e=gce();
e.color_mode=0; 
// a mesh of the surface is drawn: front faces have no colors

f.immediate_drawing = "on"; 
f.visible = "on"; 

dt = (0.8-toc()) * 1000;
sleep(max(dt,1)); // sleeps at most 0.8 s
